/*************************************************************************************
*  Copyright (c) 1997-1998 by Joseph Parrello. All Rights Reserved.                  *
*  Site   : http://space.tin.it/computer/giparrel                                    *
*  E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it                         *
*                                                                                    *
*  Revision:   1.1a  (April 3, 1998).                                                *
*                                                                                    *
*  Definition of JPFlatTextGadget class.                                             *
*                                                                                    *
*  Read JPFLTTXT.TXT for use and license.                                            *
*                                                                                    *
*  Only for OWL 5.02 and 5.01 users.                                                 *
*  OWL and ObjectWindows are trademarks of Borland International.                    *
*                                                                                    *
*  THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF                *
*  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO               *
*  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A                    *
*  PARTICULAR PURPOSE.                                                               *
*************************************************************************************/
#if !defined(jptxtgad_h)
#define jptxtgad_h

#if !defined(OWL_TEXTGADG_H)
#include <owl/textgadg.h>
#endif
#if !defined(OWL_GADGETWI_H)
#include <owl/gadgetwi.h>
#endif

//{{TTextGadget = JPFlatTextGadget}}
class JPFlatTextGadget : public TTextGadget {
  public:
    JPFlatTextGadget(int id, TBorderStyle = Recessed, TAlign = Left, uint numChars = 10, const char far* text = 0, TFont* font = 0 , bool Flat=true);
    virtual ~JPFlatTextGadget();

//{{JPFlatTextGadgetVIRTUAL_BEGIN}}
  public:
    virtual void MouseEnter(uint modKeys, TPoint& point);
    virtual void MouseLeave(uint modKeys, TPoint& point);
    virtual void PaintBorder(TDC& dc);
    virtual void SetTracking(bool enable);

  protected:
    TBorderStyle defStyle;
    bool AutoTracking;
    enum FlatState {
    	fsNormal,
      fsUp,
      fsDown,
    };
    FlatState     CurrentFlatState;
	 void 			SetFlatState(FlatState state, bool update=true);
    FlatState     GetFlatState() const;

//{{JPFlatTextGadgetVIRTUAL_END}}
};    //{{JPFlatTextGadget}}

#endif

